from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XLockable(Protocol):
    def lock(self) -> None: ...
    def isLocked(self) -> bool: ...
